Function
addEdge
Adds a new edge to the graph, either with or without cargo.
addEdge(g, source, target [,cargo | ,label])
addEdge(g, source, target [,label ,cargo])
Include Headers
seqan/graph_types.h
Parameters

g | A graph. Types: Graph
source | A vertex descriptor. Types: VertexDescriptor
target | A second vertex descriptor. Types: VertexDescriptor
label | A label for the edge. Types: Alphabet Remarks: Can only be used with Automaton.
cargo | A cargo object. Types: Cargo

Remarks
For automatons a label is required.
Return Values
A new edge descriptor.
Types: EdgeDescriptor
See Also
removeEdge, addEdges
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46